**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/23.3/documents/retrieve-documents/retrieve-all-documents.md

# Retrieve All Documents



Retrieve the latest version of documents and binders to which you have access.

<Endpoint path="/api/{version}/objects/documents" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Query Parameters {#query-parameters}

You can optionally include one of the following parameters to filter the results:

<FieldTable>
| Name | Description |
| --- | --- |
| `named_filter=My Documents` | Retrieves only documents for which you are the owner or which you have checked out. |
| `named_filter=Favorites` | Retrieves only documents which you have marked as favorites in the library. |
| `named_filter=Recent Documents` | Retrieves only documents which you have recently accessed. |
| `named_filter=Cart` | Retrieves only documents in your cart. |
| `scope=contents` | Searches only within the document content. |
| `scope=all` | Searches both within the document content and searchable document fields. |
| `versionscope=all` | Retrieves all document versions, rather than only the latest version. |
| `search={keyword}` | Search for documents based on a `{keyword}` in searchable document fields. |
| `limit` | Limit the number of documents to display. By default, Vault displays up to 200 documents per page. |
| `sort` | Return documents in a specific order by specifying a document field and either ascending (`ASC`) or descending (`DESC`) order. For example, `sort = name__v DESC`. The default is `sort = id ASC`. See [VQL documentation](/vql/references/language-specifications/result-handling#Sorting_Ordering_Results) for more information. |
| `start` | The starting record number. The default is 0. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/documents

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "size": 69,
  "start": 0,
  "limit": 200,
  "documents": [
    {
      "document": {
        "id": 105,
        "version_id": "105_0_1",
        "binder__v": false,
        "coordinator__v": {
          "groups": [],
          "users": []
        },
        "owner__v": {
          "groups": [],
          "users": [
            25524
          ]
        },
        "approver__v": {
          "groups": [],
          "users": []
        },
        "reviewer__v": {
          "groups": [],
          "users": []
        },
        "viewer__v": {
          "groups": [],
          "users": []
        },
        "editor__v": {
          "groups": [],
          "users": []
        },
        "format__v": "application/vnd.openxmlformats-officedocument.presentationml.presentation",
        "version_creation_date__v": "2016-03-23T22:03:04.094Z",
        "major_version_number__v": 0,
        "annotations_links__v": 0,
        "annotations_all__v": 2,
        "status__v": "Draft",
        "language__v": [
          "English"
        ],
        "suppress_rendition__v": "false",
        "filename__v": "cholecap_presentation_q316.pptx",
        "product__v": [
          "00P000000000101"
        ],
        "version_created_by__v": 25524,
        "country__v": [],
        "annotations_anchors__v": 0,
        "document_number__v": "PP-WD--0014",
        "minor_version_number__v": 1,
        "lifecycle__v": "Promotional Piece",
        "subtype__v": "Advertisement",
        "annotations_notes__v": 2,
        "allow_pdf_download__v": [
          "00W000000000201"
        ],
        "classification__v": "Other Electronic",
        "name__v": "CholeCap Presentation",
        "locked__v": false,
        "pages__v": 29,
        "restrict_fragments_by_product__v": true,
        "type__v": "Promotional Piece",
        "size__v": 623694,
        "md5checksum__v": "0405da0c29698e4249c2a0eca8f6642a",
        "annotations_unresolved__v": 2,
        "last_modified_by__v": 25524,
        "document_creation_date__v": "2016-03-23T22:03:04.094Z",
        "annotations_resolved__v": 0,
        "annotations_lines__v": 0,
        "version_modified_date__v": "2016-03-23T22:04:16.000Z",
        "created_by__v": 25524,
        "media__c": [
          "Print"
        ]
      }
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, Vault lists all documents and binders along with their fields and field values. If `binder__v = true`, the object is a binder. The document metadata returned will vary based on your Vault configuration. CrossLink documents are supported.



---

**Previous:** [Retrieve Documents](/safety/vault-api/api-reference/23.3/documents/retrieve-documents)  
**Next:** [Retrieve Document](/safety/vault-api/api-reference/23.3/documents/retrieve-documents/retrieve-document)